import request from '@/utils/request'

// 获取订单列表
export function getOrder(parameter) {
  return request({
    url: '/api/order',
    method: 'get',
    params: parameter
  })
}

// 通过手机号获取客户信息
export function getCustomer(parameter) {
  return request({
    url: '/api/customer/phone',
    method: 'get',
    params: parameter
  })
}

// 获取配送门店列表
export function getDelivery(parameter) {
  return request({
    url: '/api/store/delivery',
    method: 'get',
    params: parameter
  })
}

// 获取配送员列表
export function getSysuser(parameter) {
  return request({
    url: '/api/sys-user/delivery',
    method: 'get',
    params: parameter
  })
}

// 创建或更新客户信息
export function addCustomer(parameter) {
  return request({
    url: '/api/customer/insert-or-update',
    method: 'post',
    data: parameter
  })
}
// 下单
export function addOrder(parameter) {
  return request({
    url: '/api/order',
    method: 'post',
    data: parameter
  })
}

// 修改订单
export function putOrder(parameter) {
  return request({
    url: '/api/order',
    method: 'put',
    data: parameter
  })
}
// 删除权限
export function delCar(parameter) {
  return request({
    url: '/api/car-info',
    method: 'delete',
    data: parameter
  })
}

// 取消订单
export function cancelOrder(parameter) {
  return request({
    url: '/api/order/cancel',
    method: 'post',
    data: parameter
  })
}

// 派单
export function orderDelivery(parameter) {
  return request({
    url: '/api/order/delivery',
    method: 'post',
    data: parameter
  })
}

// 获取配送员列表
export function getBorrowGasCylinder(parameter) {
  return request({
    url: '/api/customer/borrow-gas-cylinder',
    method: 'get',
    params: parameter
  })
}
